# Uses of Class
org.eclipse.team.core.variants.ResourceVariantByteStore

Packages that use ResourceVariantByteStore
Package
Description
org.eclipse.team.core.variants
Application programming interfaces for accessing and managing resource variants.

## Uses of ResourceVariantByteStore in org.eclipse.team.core.variants

Subclasses of ResourceVariantByteStore in org.eclipse.team.core.variants
Modifier and Type
Class
Description
`class`
`PersistantResourceVariantByteStore`
A `ResourceVariantByteStore` that caches the variant bytes using the `org.eclipse.core.resources.ISynchronizer` so that the tree is cached across workbench invocations.
`class`
`SessionResourceVariantByteStore`
A `ResourceVariantByteStore` that caches the variant bytes in memory and does not persist them over workbench invocations.
Methods in org.eclipse.team.core.variants that return ResourceVariantByteStore
Modifier and Type
Method
Description
`protected ResourceVariantByteStore`
ResourceVariantTree.`getByteStore()`
Get the byte store that is used to cache the serialization bytes for the resource variants of this tree.
Constructors in org.eclipse.team.core.variants with parameters of type ResourceVariantByteStore
Modifier
Constructor
Description
`protected`
`ResourceVariantTree(ResourceVariantByteStore store)`
Create a resource variant tree that uses the provided byte store to cache the resource variant bytes.
``
`ThreeWaySynchronizer(ResourceVariantByteStore store)`
Create a three-way synchronizer that uses the given byte store as its underlying byte cache.